$(document).ready(function() {
var ctx = $("#ctx").val();//获取服务器地址
	
	/***************************    自用分组列表页    ***************************/
	
	//提交框
	$("#createApgroup,#selectMac,#selectApmacList").focus(function(){
		$(this).val("");
	});
	if($("#createApgroup").val() == ""){
		$(this).val("请填写新增分组名称");
	}
	$("#createApgroup").blur(function(){
		if($(this).val()==""){
			$(this).val("请填写新增分组名称");
		}
	});
	if($("#selectMac").val() == "" || $("#selectApmacList").val() == ""){
		$(this).val("请填写MAC地址");
	}
	$("#selectMac,#selectApmacList").blur(function(){
		if($(this).val()==""){
			$(this).val("请填写MAC地址");
		}
	});
	
	
	$("#btn-createApgroup").click(function(){
		var value = $("#createApgroup").val();
		if(value == "请填写新增分组名称" || value == ""){
			bootbox.alert("请填写新增分组名称!");
			return false;
		}else{
			$.post(ctx+"/operator/main/ap/apgroup/isExist",{name:value},function(data){
				if(data == true){
					bootbox.alert("新增的分组名称已存在!");
					return false;
				}else{
					$.post(ctx+"/operator/main/ap/apgroup/addGroupName",{name:value},function(data){
						$("#groupForm").submit();
					});
				}
			});
		}
	});
	
	$(".single_chooseDiv img").click(function(){
		var id = $(this).parent("div.single_chooseDiv").find("label").attr("value");
		$.post(ctx+"/operator/main/ap/apgroup/delete",{id:id},function(data){
			$("#groupForm").submit();
		});
	});
	
	$("#btn-selectMac").click(function(){
		var value = $("#selectMac").val();
		if(value == "请填写MAC地址" || value == ""){
			bootbox.alert("请填写MAC地址!");
			return false;
		}else{
			$("#groupForm").submit();
		}
	});
	
	/***************************    自用分组分类    ***************************/
	
	$("#btn_formSubmit").click(function(){
		$("#groupForm").submit();
	});
	
	$("#btn-submit").click(function(){
		$("#groupForm").submit();
	});
	
});
